﻿@model IEnumerable<OtherIncome>
@{
    var EmploymentOf = ViewBag.EmploymentOf;
    var total = 0;
}
<div class="d-flex mb-5">
    <div>
        <h4 class="text-dark font-weight-bold mt-2 mb-5 mr-5">Let's look at Other types of Income</h4>
    </div>
    <div>
        <button class="btn btn-primary font-weight-bold btn-sm btn-OtherIncome-add mb-2"><i class="fas fa-plus"></i>New Personal Activity</button>
    </div>
    <div class="ml-auto">
        <button class="btn btn-secondary font-weight-bold px-6 py-2 btn-next" id="btn-save-exit">Save & Exit</button>
    </div>
</div>
<div class="wizard-content-height">
    <p>
        Earned income is income that you generate from employment. You provided us with this income information on the previous page.
    </p>
    <p>
        We will ask you about your investment income later in the survey.
    </p>
    <div id="otherIncome-info-div" class="otherincome">
        @if (Model.Count() > 0)
        {
            <div class="card card-custom gutter-b shadow-none other-card bg-gray-100" style="border:1px solid #708DC6;" id="other-card" data-color="#708DC6">
                <div class="card-header budget-header" style="background:#708DC6">
                    <div class="card-title">
                        <h2 class="card-label text-white font-size-h3">Personal Activities</h2>
                    </div>
                </div>
                <div class="card-body pt-2">
                    <div class="table-responsive font-size-h6">
                        <table class="table table-sm mb-0 table-borderless table-budget" id="tblotherincome">
                            <thead style="border-bottom:#708DC6 solid 1px">
                                <tr>
                                    <td class="font-size-h6 font-weight-bold min-w-500px">Source of Income</td>
                                    <td class="font-size-h6 font-weight-bold text-right min-w-110px">Annual amount</td>
                                    <td class="font-weight-bold font-size-h6 pl-2 pr-2 text-right min-w-40px">Duration<br /> (Years)</td>
                                    <td class="min-w-60px"></td>
                                </tr>
                            </thead>
                            @foreach (var item2 in Model)
                            {
                                var color = item2.businessInterestof == ClientTypeEnum.Client ? "#b00022" : "#008080";
                                total = total + item2.AnnualIncome;
                                <tr data-guid="@item2.Guid" data-budget-item-id="@item2.ClientId">
                                    <td>
                                        <span style="vertical-align:bottom">@item2.sourceofIncome.GetDisplayName()</span>
                                        <span class="label label-md label-pill label-inline text-white" style="background:@color">@item2.businessInterestofString</span>
                                    </td>
                                    <td class="text-right">
                                        <span class="display-view amount">
                                            @string.Format("{0:C0}", item2.AnnualIncome)
                                        </span>
                                        <span class="edit-view d-none">
                                            <input value="@string.Format("{0:C0}", item2.AnnualIncome)" class="form-control input-xs amount currency text-right float-right zero-not-allowed" type="text" />
                                        </span>
                                    </td>
                                    <td class="text-right">
                                        <span class="display-view years">
                                            @item2.Years
                                        </span>
                                        <span class="edit-view d-none">
                                            <input value="@item2.Years" class="form-control years input-xs text-right float-right numericOnly zero-not-allowed" maxlength="2" type="text" />
                                        </span>
                                    </td>
                                    <td class="text-right">
                                        <div class="display-view">
                                            <button class="btn btn-icon btn-xs btn-other-edit" type="button">
                                                <i class="la la-pencil-alt icon-lg text-dark" data-toggle="tooltip" data-original-title="Edit"></i>
                                            </button>
                                            <button class="btn btn-icon btn-xs btn-other-delete" type="button">
                                                <i class="la la-trash icon-lg text-dark" data-toggle="tooltip" data-original-title="Delete"></i>
                                            </button>
                                        </div>
                                        <div class="edit-view d-none">
                                            <button class="btn btn-icon btn-xs btn-other-save" type="button">
                                                <i class="la la-save icon-lg text-dark" data-toggle="tooltip" data-original-title="Save"></i>
                                            </button>
                                            <button class="btn btn-icon btn-xs btn-other-cancel" type="button">
                                                <i class="spinner spinner-primary spinner-sm d-none" style="left: -7px;"></i>
                                                <i class="la la-remove icon-lg text-dark" data-toggle="tooltip" data-original-title="Cancel"></i>
                                            </button>
                                        </div>
                                    </td>
                                </tr>
                            }
                            <tfoot style="border-top:#708DC6 solid 1px">
                                <tr style="color:#708DC6">
                                    <td class="font-weight-bold">Total</td>
                                    <td class="text-right" id="total-property">@string.Format("{0:C0}", total)</td>
                                    <td></td>
                                    <td></td>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        }
    </div>
</div>

<partial name="_WizardFooter" />
<div class="modal" id="OtherIncmoeModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"></div>
<script src="~/js/page/personal-activity.js" asp-append-version="true"></script>
<script>
    $("#btn-submit").addClass("btn-next");
</script>